// Functions //
function getTabTitle() {
    chrome.tabs.query({
        active: true,
        currentWindow: true
    }, (tabs) => {
        const tabTitle = tabs[0] ?.title;
        const tabTitleElement = document.getElementById('tab-title');
        if (tabTitleElement) {
            tabTitleElement.textContent = tabTitle;
        }
    });
}


function collapsible() {
    var coll = document.getElementsByClassName("collapsible");
    var i;
    for (i = 0; i < coll.length; i++) {
        coll[i].addEventListener("click", function() {
            this.classList.toggle("active");
            var content = this.nextElementSibling;
            if (content.style.display === "block") {
                content.style.display = "none";
            } else {
                content.style.display = "block";
            }
        });
    }
    
}

function clickButton() {
    document.getElementById("click-button").addEventListener("click", () => {
        alert("Button clicked!");
    });

}


// tablinker: To display the vertical tabs in the Link Library
function tabLinker(tabName) {
  var i, tabcontent, tablinks;
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
  tabcontent[i].style.display = "none";
  }
  tablinks = document.getElementsByClassName("tablinks");
  for (i = 0; i < tablinks.length; i++) {
  tablinks[i].classList.remove("active2");
  }
  document.getElementById(tabName).style.display = "block";
  document.getElementById(tabName + "Button").classList.add("active2");
}

// fetchTemplateContent: To display HTML file content
function fetchTemplateContent(url, elementId) {
    fetch(chrome.runtime.getURL(url))
        .then(response => response.text())
        .then(content => document.getElementById(elementId).innerHTML = content);
}


	document.addEventListener("DOMContentLoaded", function () {
	  var fruitsButton = document.getElementById("fruitsButton");
	  var vegetablesButton = document.getElementById("vegetablesButton");
	  var herbsButton = document.getElementById("herbsButton");
	  var socialButton = document.getElementById("socialButton");

	  fruitsButton.addEventListener("click", function () {
		tabLinker("fruits");
	  });

	  vegetablesButton.addEventListener("click", function () {
		tabLinker("vegetables");
	  });

	  herbsButton.addEventListener("click", function () {
		tabLinker("herbs");
	  });
	    
	  // Get the element with id="defaultOpen" and click on it
	  document.getElementById("fruitsButton").click();
	})

document.addEventListener('DOMContentLoaded', () => {
    getTabTitle();
    clickButton();
    collapsible();    

    // Fruits
    fetchTemplateContent('templates/tab_3/fruits/apple.html', 'apple');
    fetchTemplateContent('templates/tab_3/fruits/banana.html', 'banana');
    fetchTemplateContent('templates/tab_3/fruits/lemon.html', 'lemon');
    fetchTemplateContent('templates/tab_3/fruits/orange.html', 'orange');
    fetchTemplateContent('templates/tab_3/fruits/grape.html', 'grape');
    fetchTemplateContent('templates/tab_3/fruits/blueberry.html', 'blueberry');
    fetchTemplateContent('templates/tab_3/fruits/peach.html', 'peach');
    fetchTemplateContent('templates/tab_3/fruits/avocado.html', 'avocado');
    fetchTemplateContent('templates/tab_3/fruits/cherry.html', 'cherry');

    // Vegetables
    fetchTemplateContent('templates/tab_3/vegetables/broccoli.html', 'broccoli');
    fetchTemplateContent('templates/tab_3/vegetables/zucchini.html', 'zucchini');
    fetchTemplateContent('templates/tab_3/vegetables/green-beans.html', 'green-beans');
    fetchTemplateContent('templates/tab_3/vegetables/bell-pepper.html', 'bell-pepper');
    fetchTemplateContent('templates/tab_3/vegetables/leek.html', 'leek');
    fetchTemplateContent('templates/tab_3/vegetables/lettuce.html', 'lettuce');
    fetchTemplateContent('templates/tab_3/vegetables/red-onion.html', 'red-onion');

    // Herbs
    fetchTemplateContent('templates/tab_3/herbs/basil.html', 'basil');
    fetchTemplateContent('templates/tab_3/herbs/rosemary.html', 'rosemary');
    fetchTemplateContent('templates/tab_3/herbs/thyme.html', 'thyme');
    fetchTemplateContent('templates/tab_3/herbs/parsley.html', 'parsley');

});